Loading...
Searching...
No Matches
irr::io::SAttributeReadWriteOptions Struct Reference

struct holding data describing options More...

`#include <IAttributeExchangingObject.h>`

## Public Member Functions

| SAttributeReadWriteOptions ()
| Constructor.

## Public Attributes

const fschar_t * | Filename
| Optional filename.
s32 | Flags
| Combination of E_ATTRIBUTE_READ_WRITE_FLAGS or other, custom ones.

## Detailed Description

struct holding data describing options

Definition at line 34 of file IAttributeExchangingObject.h.

## Constructor & Destructor Documentation

## SAttributeReadWriteOptions()

irr::io::SAttributeReadWriteOptions::SAttributeReadWriteOptions | ( |  | ) |

inline

Constructor.

Definition at line 37 of file IAttributeExchangingObject.h.

References Filename, and Flags.

## Member Data Documentation

## Filename

const fschar_t* irr::io::SAttributeReadWriteOptions::Filename

Optional filename.

Definition at line 46 of file IAttributeExchangingObject.h.

Referenced by SAttributeReadWriteOptions().

## Flags

s32 irr::io::SAttributeReadWriteOptions::Flags

Combination of E_ATTRIBUTE_READ_WRITE_FLAGS or other, custom ones.

Definition at line 43 of file IAttributeExchangingObject.h.

Referenced by SAttributeReadWriteOptions().

The documentation for this struct was generated from the following file:

- IAttributeExchangingObject.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0